#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

extern "C" __declspec(dllexport) 
void __stdcall PDFExtractToTIFF_SetDPI(int xDPI, int yDPI);

//The ptrKey can be selected one of following values,
//	ptrKey = "XDPI", ptrValue = "300" or "600" or others
//	ptrKey = "YDPI", ptrValue = "300" or "600" or others
//	ptrKey = "AutoMergeStrips", ptrValue = "1" or "0"
//	ptrKey = "ExportJPG", ptrValue = "1" or "0"
//	ptrKey = "RemoveThumbnail", ptrValue = "1" or "0"
//	ptrKey = "AutoRotate", ptrValue = "1" or "0"
//	ptrKey = "AutoRotateOrientation", ptrValue = "1" or "0"
//	ptrKey = "AutoInvertBWImage", ptrValue = "1" or "0"
//	ptrKey = "AutoScale", ptrValue = "1" or "0"
//	ptrKey = "FlipVerticalTIFFile", ptrValue = "1" or "0"
//	ptrKey = "FlipHorizontalTIFFile", ptrValue = "1" or "0"
//	ptrKey = "AddFileNameSuffix", ptrValue = "%04d" or "_%05d" or others
extern "C" __declspec(dllexport)
void __stdcall PDFExtractToTIFF_SetOptions(LPCTSTR ptrKey, LPCTSTR ptrValue);

extern "C" __declspec(dllexport) 
int __stdcall PDFExtractToTIFF(const char *ptrPDFName,const char *ptrTIFFName, 
			       int bIsSinglePage,
			       const char* ownerPassword,
			       const char* userPassword);

extern "C" __declspec(dllexport)
void __stdcall PDFExtractToTIFF_SetLicenseKey(const char *lpCode);

void main(int argc,char *argv[])
{
	if(argc != 3)
	{
		printf("Usage: input.pdf output.tif");
		return;
	}
	
	PDFExtractToTIFF_SetLicenseKey("XXXXXXXXXXXXXXXXXXX");

	int iBeginTick,iEndTick;
	PDFExtractToTIFF_SetDPI(300,300);
	PDFExtractToTIFF_SetOptions("AutoInvertBWImage","1");
	PDFExtractToTIFF_SetOptions("AutoMergeStrips","1");
	PDFExtractToTIFF_SetOptions("RemoveThumbnail","1");
	iBeginTick = GetTickCount();
	int pagecount = PDFExtractToTIFF(argv[1],argv[2],0,NULL,NULL);
	iEndTick = GetTickCount();
	printf("Page Count(1): %d, time = %d ms\n",pagecount,iEndTick-iBeginTick);
	printf("Please press any key to continue ...\n");
	_getch();
	PDFExtractToTIFF_SetDPI(200,200);
	iBeginTick = GetTickCount();
	pagecount = PDFExtractToTIFF(argv[1],argv[2],1,NULL,NULL);
	iEndTick = GetTickCount();
	printf("'%s' Page Count(1): %d, time = %d ms\n",argv[2],pagecount,iEndTick-iBeginTick);
}